.footer {
  padding: 40px 0px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  width: 100%;
  font-size: var(--font-size-desktop-body-xs);
  font-weight: var(--font-weight-regular);
  line-height: var(--lineheight-desktop-body-xs);
  color: var(--color-neutral-500);
  border-top: 1px solid var(--color-neutral-200);
}
.footer-contents {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
  max-width: 1240px;
  padding: 0 20px 40px 20px;

  @media (max-width: 900px) {
    flex-direction: column-reverse;
    gap: 64px;
  }
}
.footer-contents > .info {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 24px;
  color: var(--color-neutral-500);

  & > .company {
    display: flex;
    flex-direction: column;
    gap: 4px;

    & > span:first-child {
      color: var(--color-neutral-800);
    }
  }

  & > .address {
    display: flex;
    flex-direction: column;
    gap: 4px;

    & > span:first-child {
      color: var(--color-neutral-800);
    }
  }

  & > .contact {
    display: flex;
    flex-direction: column;
    gap: 4px;
    & span {
      display: block;
    }
    & > span:first-child {
      color: var(--color-neutral-800);
    }
  }
}

.footer-contents > .menu {
  display: flex;
  gap: 40px;
  color: var(--color-neutral-700);

  @media (max-width: 900px) {
    width: 100%;
    justify-content: space-between;
  }
  @media (max-width: 520px) {
    width: 100%;
    flex-wrap: wrap;
    justify-content: flex-start;
    & ul {
      width: 76px;
    }
  }

  & ul {
    display: flex;
    flex-direction: column;
    gap: 8px;

    @media (max-width: 767px) {
      gap: 14px;
    }
  }
}

.footer > .credits {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  border-top: 1px var(--color-neutral-200) solid;
  height: 50px;
  color: var(--color-neutral-500);
}
